%global __python3 /usr/bin/python3.11
%global python3_pkgversion 3.11

# RHEL: Tests disabled due to missing deps
%bcond_with tests

# Created by pyp2rpm-3.3.10
%global pypi_name aws_adfs
%global pypi_pkg aws-adfs
%global pypi_version 2.11.2

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        AWS CLI authenticator via ADFS - small command-line tool to authenticate via ADFS and assume chosen role

License:        None
URL:            None
Source0:        %{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch
Obsoletes:      python3-aws-adfs < 2.11.2
Obsoletes:      python3.9-aws-adfs < 2.11.2

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}dist(setuptools)
Requires:       (python%{python3_pkgversion}dist(boto3) >= 1.24 with python%{python3_pkgversion}dist(boto3) < 2~~)
Requires:       (python%{python3_pkgversion}dist(botocore) >= 1.23 with python%{python3_pkgversion}dist(botocore) < 2~~)
Requires:       (python%{python3_pkgversion}dist(click) >= 8 with python%{python3_pkgversion}dist(click) < 9~~)
Requires:       python%{python3_pkgversion}dist(configparser) = 5.3
Requires:       (python%{python3_pkgversion}dist(fido2) >= 1 with python%{python3_pkgversion}dist(fido2) < 2~~)
Requires:       (python%{python3_pkgversion}dist(lxml) >= 4.9 with python%{python3_pkgversion}dist(lxml) < 6~~)
Requires:       (python%{python3_pkgversion}dist(requests) >= 2.27 with python%{python3_pkgversion}dist(requests) < 3~~)
Requires:       (python%{python3_pkgversion}dist(requests-kerberos) >= 0.14 with python%{python3_pkgversion}dist(requests-kerberos) < 0.15~~)
Requires:       python%{python3_pkgversion}dist(setuptools)

%description
 aws-adfs project provides command line tool - aws-adfs to ease AWS cli authentication
against ADFS (multifactor authentication with active directory). aws-adfs command line tool*
allows you to re-login to STS without entering credentials for an extended
period of time, without having to store the user's actual credentials.

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%files
%license LICENSE
%doc README.md
%{_bindir}/aws-adfs
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Jun 04 2024 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 2.11.2-1
- Initial package.
